Bug 507420 - Unable to remove st module.
Unable to remove st module.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 13:46 EDT by Marcus Alves Grando
Modified: 2012-06-20 09:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:17:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Alves Grando 2009-06-22 13:46:43 EDT
Hello Guys,

I'm trying to remove st module with rmmod, but doesn't work. rmmod process keep uninterruptible.

# rmmod trace
Jun 22 17:11:56 bkp-media01-poa kernel: rmmod         D 00000007  3152 28708  28012                     (NOTLB)
Jun 22 17:11:56 bkp-media01-poa kernel: f2b55f14 00000082 00000002 00000007 00000282 f5c3d930 00000019 c567bd80
Jun 22 17:11:56 bkp-media01-poa kernel:        f5c3d930 00000000 c56846e0 c5683d80 00000005 00000000 b1edec40 00106743
Jun 22 17:11:56 bkp-media01-poa kernel:        f5c3d930 f49185b0 f491871c 00000010 f2b55000 f8887b0c 00000246 f8887b14
Jun 22 17:11:56 bkp-media01-poa kernel: Call Trace:
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c02dad01>] __down+0x81/0xdb
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c011f194>] default_wake_function+0x0/0xc
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c01c5227>] unlink+0x27/0x71
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c02dae78>] __down_failed+0x8/0xc
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c0226826>] .text.lock.driver+0x5/0xf
Jun 22 17:11:56 bkp-media01-poa kernel:  [<f8884735>] exit_st+0x27/0x4c [st]
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c0137dee>] sys_delete_module+0x13b/0x184
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c0152b56>] unmap_vma_list+0xe/0x17
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c0152e86>] do_munmap+0x108/0x116
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c011b6e9>] do_page_fault+0x0/0x5c6
Jun 22 17:11:56 bkp-media01-poa kernel:  [<c02dd8e3>] syscall_call+0x7/0xb

# modinfo st
filename:       /lib/modules/2.6.9-89.ELsmp/kernel/drivers/scsi/st.ko
author:         Kai Makisara
description:    SCSI Tape Driver
license:        GPL
parm:           buffer_kbs:Default driver buffer size for fixed block mode (KB; 32)
parm:           max_sg_segs:Maximum number of scatter/gather segments to use (256)
parm:           try_direct_io:Try direct I/O between user buffer and tape drive (1)
parm:           try_rdio:Try direct read i/o when possible
parm:           try_wdio:Try direct write i/o when possible
vermagic:       2.6.9-89.ELsmp SMP 686 REGPARM 4KSTACKS gcc-3.4
depends:        scsi_mod

Regards
Comment 1 Marcus Alves Grando 2009-08-14 11:32:33 EDT
ping
Comment 2 Jiri Pallich 2012-06-20 09:17:07 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.